# -*- coding: utf-8 -*-
# Generated by Django 1.11.3 on 2017-09-12 11:38
from __future__ import unicode_literals

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('core', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='TaskUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(default=False)),
            ],
        ),
        migrations.AddField(
            model_name='project',
            name='employees',
            field=models.ManyToManyField(to=settings.AUTH_USER_MODEL),
        ),
        migrations.RemoveField(
            model_name='project',
            name='TaskReference',
        ),
        migrations.AddField(
            model_name='project',
            name='TaskReference',
            field=models.ManyToManyField(to='core.Task'),
        ),
        migrations.AlterField(
            model_name='subtask',
            name='ref',
            field=models.ManyToManyField(blank=True, related_name='_subtask_ref_+', to='core.SubTask'),
        ),
        migrations.AlterField(
            model_name='task',
            name='ref',
            field=models.ManyToManyField(blank=True, to='core.SubTask'),
        ),
        migrations.AddField(
            model_name='taskuser',
            name='subTask',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    to='core.SubTask'),
        ),
        migrations.AddField(
            model_name='taskuser',
            name='task',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Task'),
        ),
        migrations.AddField(
            model_name='taskuser',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
    ]
